Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::MouseMotionTarget Class Reference

Handles the adding and removing of MouseMotionListeners. More...

`#include <OgreMouseMotionTarget.h>`

Inheritance diagram for Ogre::MouseMotionTarget:

[legend]
List of all members.

## Public Methods

| MouseMotionTarget ()
void | processMouseMotionEvent (MouseEvent *e)
void | addMouseMotionListener (MouseMotionListener *l)
void | removeMouseMotionListener (MouseMotionListener *l)

## Protected Attributes

MouseMotionListener * | mMouseMotionListener

## Private Methods

virtual Real | getLeft (void) const=0
| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right).
virtual Real | getTop (void) const=0
| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom).
virtual PositionTarget * | getPositionTargetParent () const=0
virtual bool | isKeyEnabled () const=0
virtual void | processEvent (InputEvent *e)=0

## Detailed Description

Handles the adding and removing of MouseMotionListeners.

Remarks:
  This is implemented through the use of a binary multicaster. See EventMulticaster. GuiElements (or other components) that process the Mouse Motion Event should subclass this class and call processMouseMotionEvent when that event is identified.

Definition at line 56 of file OgreMouseMotionTarget.h.

## Constructor & Destructor Documentation

Ogre::MouseMotionTarget::MouseMotionTarget | ( |  | ) |

| Definition at line 38 of file OgreMouseMotionTarget.cpp. References mMouseMotionListener.

## Member Function Documentation

void Ogre::MouseMotionTarget::addMouseMotionListener | ( | MouseMotionListener * | l | ) |

| Definition at line 66 of file OgreMouseMotionTarget.cpp. References mMouseMotionListener. Referenced by Ogre::InputReader::addCursorMoveListener(), Ogre::ListGuiElement::addListItem(), Ogre::PopupMenuGuiElement::PopupMenuGuiElement(), and Ogre::ScrollBarGuiElement::setScrollBitName().

virtual Real Ogre::PositionTarget::getLeft | ( | void |  | ) | const`[pure virtual, inherited]`

| Gets the left of this element in relation to the screen (where 0 = far left, 1.0 = far right). Implemented in Ogre::Cursor, Ogre::EventProcessor, and Ogre::GuiElement.

virtual PositionTarget* Ogre::PositionTarget::getPositionTargetParent | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, and Ogre::GuiElement.

virtual Real Ogre::PositionTarget::getTop | ( | void |  | ) | const`[pure virtual, inherited]`

| Gets the top of this element in relation to the screen (where 0 = top, 1.0 = bottom). Implemented in Ogre::Cursor, Ogre::EventProcessor, and Ogre::GuiElement.

virtual bool Ogre::PositionTarget::isKeyEnabled | ( |  | ) | const`[pure virtual, inherited]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::trackKeyEnterExit().

virtual void Ogre::EventTarget::processEvent | ( | InputEvent * | e | ) | `[pure virtual, inherited]`

| Implemented in Ogre::Cursor, Ogre::EventProcessor, Ogre::GuiControl, Ogre::GuiElement, Ogre::OverlayManager, Ogre::BorderButtonGuiElement, Ogre::ButtonGuiElement, Ogre::ScrollBarGuiElement, and Ogre::TextBoxGuiElement. Referenced by Ogre::EventDispatcher::processKeyEvent(), Ogre::EventDispatcher::retargetKeyEvent(), and Ogre::EventDispatcher::retargetMouseEvent().

void Ogre::MouseMotionTarget::processMouseMotionEvent | ( | MouseEvent * | e | ) |

| Definition at line 45 of file OgreMouseMotionTarget.cpp. References Ogre::InputEvent::getID(), mMouseMotionListener, Ogre::MouseMotionListener::mouseDragged(), Ogre::MouseMotionListener::mouseDragMoved(), and Ogre::MouseMotionListener::mouseMoved(). Referenced by Ogre::GuiElement::processEvent(), Ogre::EventProcessor::processEvent(), and Ogre::Cursor::processEvent().

void Ogre::MouseMotionTarget::removeMouseMotionListener | ( | MouseMotionListener * | l | ) |

| Definition at line 75 of file OgreMouseMotionTarget.cpp. References mMouseMotionListener. Referenced by Ogre::InputReader::removeCursorMoveListener().

## Member Data Documentation

MouseMotionListener* Ogre::MouseMotionTarget::mMouseMotionListener`[protected]`

| Definition at line 59 of file OgreMouseMotionTarget.h. Referenced by addMouseMotionListener(), MouseMotionTarget(), processMouseMotionEvent(), and removeMouseMotionListener().

The documentation for this class was generated from the following files:

- OgreMouseMotionTarget.h
- OgreMouseMotionTarget.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:16 2004